function mapNameToMuslimMaleReligion(name) {
    const lowerCaseName = name.toLowerCase().trim();
    if (
        lowerCaseName === 'raz' ||
        lowerCaseName === 'ubaid' ||
        lowerCaseName === 'zunaid' ||
        lowerCaseName === 'zubair' ||
        lowerCaseName === 'umar' ||
        lowerCaseName === 'adnan' ||
        lowerCaseName === 'arfaat' ||
        lowerCaseName === 'ali' ||
        lowerCaseName === 'saidd' ||
        lowerCaseName === 'saif' ||
        lowerCaseName === 'sonu' ||
        lowerCaseName === 'naushad' ||
        lowerCaseName === 'khusnaseeb' ||
        lowerCaseName === 'firoz'
    ) {
        return 'Muslim';
    }
    return 'Unknown'; // Default if no match found
}